
TYPO3.Neos - Task # 7356

Status: Resolved Priority: Should have
Author: Karsten Dambekalns Category:
Created: 2010-04-19 Assigned To: Karsten Dambekalns
Updated: 2012-08-31 Due date:
Subject: Create build task for selenium tests
Description

The selenium tests need to be run automatically as well.

Related issues:
related to Base Distribution - Story # 7215: As Phoenix team member I want a ... Resolved 2010-04-11
related to TYPO3.Neos - Task # 7450: Selenium RC Server Resolved 2010-04-23

Associated revisions
Revision ad82ac54 - 2010-05-04 13:21 - Karsten Dambekalns

[+TASK] TYPO3 Demo Distribution: Added Selenium task to Phing scripts, relates to #7356.
[~TASK] TYPO3 Demo Distribution: Some changes to Selenium test code, relates to #7352.

Revision 30aa9440 - 2010-05-14 20:01 - Karsten Dambekalns

[+TASK] TYPO3 Demo Distribution: Selenium test configuration is now taken from an XML file which is created by Phing - we can now set options
manually if needed; resolves #7356.

History
#1 - 2010-05-01 18:50 - Daniel Poetzinger

that could be a simple

phpunit --configuration=Tests/Selenium/phpunit_backend.xml Tests/Selenium/

#2 - 2010-05-03 17:57 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns

#3 - 2010-05-04 13:40 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

This is done and works now, Selenium RC server is not reachable but local tests were successful. To run the selenium tests with our Selenium RC
server against latest.phoenix.demo.typo3.org simply call phing test-selenium

#4 - 2010-05-04 21:31 - Daniel Poetzinger
- % Done changed from 100 to 90
Hey
Could we brainstorm about the setting of the rc server and the url? Now it is hardcoded in the seleniumtestcase - so i without modification i cannot run
it on diffrent rc servers or urls.
What speaks against the configuration xml?

#5 - 2010-05-05 10:38 - Karsten Dambekalns

Daniel Poetzinger wrote:

Could we brainstorm about the setting of the rc server and the url? Now it is hardcoded in the seleniumtestcase - so i without modification i cannot
run it on diffrent rc servers or urls.
What speaks against the configuration xml?

As I wrote somewhere (can't find it now :) - Phing cannot use a xml config file for PHPUnit. But where is the difference, really? Instead of the xml you
adjust the base testcase, multiple browser are possible as well and for splitting the stuff we can use different filesets in Phing. Maybe I am missing
soemthing, but to me we loose no flexibility...

#6 - 2010-05-05 10:38 - Karsten Dambekalns
- Status changed from Resolved to Needs Feedback

#7 - 2010-05-14 20:03 - Karsten Dambekalns
- Status changed from Needs Feedback to Resolved
- % Done changed from 90 to 100

Applied in changeset r954.

#8 - 2010-05-14 20:04 - Karsten Dambekalns

When running the tests the defaults can now be overridden:

phing -Dseleniumrc.url=http://website.url -Dseleniumrc.host=selenium.server test-selenium

#9 - 2011-05-05 13:49 - Robert Lemke
- Project changed from Core Team to Base Distribution
- Target version deleted (518)

#10 - 2012-08-31 10:39 - Robert Lemke
- Project changed from Base Distribution to TYPO3.Neos
